PHP5系のサポート終了

PHP5系のサポート終了

こんにちは、こんばんは
春がきた!なんて思っていたら雪が続きと寒さが続くこの頃
皆さまはいかがお過ごしでしょうか?

さて、先日ふとネットを見ていたところPHP5のサポートが2018年末で終了したという記事を見つけた。はて?自分のサイトは?
早速確かめたところ5.6のまま、そりゃそうだ切り替えた記憶などない。というかすでに3か月も気づかずにいたのかと自分に呆れる始末。そこで早速PHP7.1に切り替えました。
「うむ、これで安心だ」と安易に思っていた翌日・・・
自分のサイトを何気に開いたら真っ白で接続がどうのこのと表示されていました。
あらら・・・これはいかん。。で、とりあえず5.6に戻したら普通に表示されたのでそのまま置いといてPHP7.1の事を調べました。
私のサイトはWordPressで構築しておりまして誰でも簡単にブログを作ることができます。しかし古いテーマやプラグインはPHP7.1に対応していないのもあるらしくそれらがどうやらひっかかっているようでした。しかし知識のない私には何が良くて何がダメなのか分からず。そしたらそれすらプラグインで調べる事ができるとのことで早速「PHP Compatibility Checker」というプラグインを入れて調べてみました。とりあえず一番心配していた私が使用しているテーマは大丈夫。5つほど使用していたプラグインがエラーで検出されたのでそれらを削除or停止してPHP7.1に切り替えたところ何とか表示されました。
ところが今まで使用していたカートのプラグインが使えない様子。そこでカートのプラグインを一つずつ入れては使ってみてダメで消し、また入れて使ってみては使いにくく消しの繰り返し。結局自分が使用しているテーマに沿うカートプラグインがありませんでした。
これには困り果て、他のプラグインに合うように長年使用してきたテーマを変えるしかないかと考えていました。画像のサイズやら何やら統一性なくテーマに合わせて作ってきたので今更全てを作り変えるも面倒で面倒で。ま、金は無いけど時間だけは余るほどあるのでいつかはやらないとな~と考えつつ。今まで使用していたolivecartを一度消して、もう一度入れなおしたらなんとか表示もされるしカートも動くようになりました。しかし、どうも以前のデータが干渉しているのか若干表示がおかしい所や消せない部分もあったり。しかし問題なく表示も動きも良いのでとりあえず一件落着。いろいろあるけどやっぱりこのプラグインは非常に使いやすく私にはぴったりのようです。使わせていただき作者に感謝です。
という事で、業務用シュリンプフードの購入は問題なくできるはずですが挙動がおかしい、購入できないなど問題がありましたら問い合わせにてメールをいただけますようお願い申し上げます。
それではご注文お待ちしております。

投稿日: 2019-03-27Ebita Breed